import { http, post } from 'mocp/utils/http'

//查询所有机号
export const getAllAcApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/allAc',
        data,
        config
    })
}
//查询所有机型
export const getAllAcTypeApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/allAcType',
        data,
        config
    })
}
//查询所有航司
export const getAllAirlineApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/allAirline',
        data,
        config
    })
}
//根据机号查询机型航司信息
export const getAirlineAcregApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/getAirlineAcreg',
        data,
        config
    })
}
//新增例行维护工作单
export const addRoutineWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/electronicBill/addRoutineWork',
        data,
        config
    })
}
//编辑例行维护工作单
export const updateRoutineWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/electronicBill/updateRoutineWork',
        data,
        config
    })
}
//校验：日期、机号相同，且有【过夜维护 AF+PF】数据；返回值大于0表示存在相同的
export const routineWorkCheckRepeatApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/routineWorkCheckRepeat',
        data,
        config
    })
}
//例行维护工作单列表
export const routineWorkListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/routineWorkList',
        data,
        config
    })
}
//新增非例行维护工作单
export const addNonRoutineWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/electronicBill/addNonRoutineWork',
        data,
        config
    })
}
//修改非例行维护工作单
export const updateNonRoutineWorkApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/electronicBill/updateNonRoutineWork',
        data,
        config
    })
}
//非例行维护工作单列表
export const noRoutineWorkListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/noRoutineWorkList',
        data,
        config
    })
}
//新增除防冰工作单
export const addDeicingApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/electronicBill/addDeicing',
        data,
        config
    })
}
//修改除防冰工作单
export const updateDeicingApi = (data, config) => {
    return post({
        method: 'POST',
        url: '/workbench/electronicBill/updateDeicing',
        data,
        config
    })
}
//除防冰工作单列表
export const deicingListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/electronicBill/deicingList',
        data,
        config
    })
}
